%global gem_name axiom-types

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 2%{?dist}
Summary: Abstract types for logic programming
Group: Development/Languages
License: MIT
URL: https://github.com/dkubb/axiom-types
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(descendants_tracker)
Requires: rubygem(ice_nine)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(ice_nine)
BuildRequires: rubygem(descendants_tracker)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Define types with optional constraints for use within axiom and other
libraries.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Remove requirement on "devtools" (not yet packaged).
# Note that this is not the "devtools" on rubygems.org, but the gem at
# https://github.com/rom-rb/devtools. Upstream will rename this to "develry".
# https://github.com/rom-rb/devtools/pull/39
sed -e "\|require 'devtools/spec_helper'|d" -i spec/spec_helper.rb

# Remove tests that require devtools
find spec -type f | xargs sed -e "/it_should_behave_like/d" -i

# Remove developer-only files.
for f in .gitignore .travis.yml .rspec .yardopts .ruby-gemset \
Gemfile Gemfile.devtools Guardfile Rakefile; do
  rm $f
  sed -i "s|\"$f\",||g" %{gem_name}.gemspec
done

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

# remove unnecessary gemspec
rm .%{gem_instdir}/%{gem_name}.gemspec

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
  rspec -Ilib spec
popd


%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
# exclude developer-only files
%exclude %{gem_instdir}/config

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/TODO
%exclude %{gem_instdir}/spec

%changelog
* Wed Nov 20 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.0.5-2
- Remove developer dot-files during %%prep

* Fri Oct 11 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.0.5-1
- Initial package
